Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
Pixxel
Documentation
Developer Guide
Pixxel API
External
Ping ServerGET
Project
List projectsGETGet projectGET
AOI
List all AOIsGETCreate a new AOIPOSTGet AOIGETList supported satellitesGET
Search
Search satellite imagesPOST
Indices
List all available indicesGETCreate a new indexPOST
Visualizations
List visualizations for an AOIGETCreate a new visualizationPOSTUpdate visualization metadataPUTRollback visualization metadataPATCHGenerate an index PNG for a visualizationPOSTGenerate SLD styles for a visualizationPOST
Blocks
List BlocksGETGet Block VersionsGETGet Block by VersionGET
Insights
Create Insights on an AOIPOSTList InsightsGETDownload InsightsPUTDelete InsightsDEL
Assets
List assets for an AOIGET
Downloads
Create a download request for assets in an AOIPOSTGet status of a download requestGET
Workflows
List workflowsGETGet Workflows By IdGETGet Workflow Cost estimateGET
Jobs
List JobsGETCreate a job from a given workflowPOSTGet Job by Id and WF IdGETDownload JobPUT
Tasks
Download TaskPUT
Bandset
List all bandsetsGET
Order
List all ordersGETCreate an orderPOSTGet an orderGETList all orderItemsGETGet an orderItemGET
Archives
List all collectionsGETGet a collectionGETList items in a collectionGETGet itemGETSearch all itemsPOST
Report
download order reportGET
Stores
List storesGETCreate a storePOSTDelete a storeDEL
Catalog
List all deliveriesGETCreate deliveriesPOSTCreate a download resourcePOSTGet download statusGETSearch all catalogsPOSTGet a catalogGET
  1. Archives
  2. Get a collection

Get a collection

Get a STAC collection by it's ID

GET/v0/archives/collections/{cid}
Authorisations
AuthorizationString
Path Parameters
cidstringrequired
Collection ID
Response
application/json
OK
created_atstring
Example: "2023-08-06T20:46:56.815552Z"
descriptionstring
Example: "A collection description"
extentobject
Show child attributes
idstring
Example: "pixxel-dd2"
licensestring
Example: "proprietary"
linksobject[]
Show child attributes
providersobject[]
Show child attributes
stac_extensionsobject
stac_versionstring
Example: "0.1.0"
summariesobject
titlestring
Example: "Pixxel-DD01"
typestring
Example: "Collection"
updated_atstring
Example: "2023-08-06T20:46:56.815552Z"
Get a collection
cURL
Python
Go
TypeScript
1curl -X GET 'https://api.pixxel.space/v0/archives/collections/{cid}' \
2 -H 'Authorization: YOUR_API_KEY'
Response:
{
"created_at": "2023-08-06T20:46:56.815552Z",
"description": "A collection description",
"extent": {
"spatial": {
"bbox": [
[
0
]
]
},
"temporal": {
"interval": [
[
"string"
]
]
}
},
"id": "pixxel-dd2",
"license": "proprietary",
"links": [
{
"href": "https://example.com",
"rel": "self",
"title": "Example Link Title",
"type": "application/json"
}
],
"providers": [
{
"description": "Pixxel is a space data company",
"name": "Pixxel",
"roles": [
"producer"
],
"url": "https://pixxel.space"
}
],
"stac_extensions": null,
"stac_version": "0.1.0",
"summaries": null,
"title": "Pixxel-DD01",
"type": "Collection",
"updated_at": "2023-08-06T20:46:56.815552Z"
}
List all collectionsList items in a collection